Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.store.jpa.model.simple
Class LargeValueEntity

    java.lang.Object
      org.modeshape.connector.store.jpa.model.simple.LargeValueEntity

All Implemented Interfaces:
  Serializable

    @Entity
    public class LargeValueEntity

extends Object
implements Serializable

A single property value that is too large to be stored on the individual node, and which will be shared among all properties that have the same value. Note that the large values are stored independently of workspace, so one large value may be shared by properties of nodes in different workspaces.

See Also:
  Serialized Form

Constructor Summary
`LargeValueEntity()`

Method Summary
`static LargeValueEntity` | `create(byte[] data, PropertyType type, boolean compressed)`
`static boolean` | `deleteUnused(javax.persistence.EntityManager manager, String dialect)` Delete all unused large value entities.
`boolean` | `equals(Object obj)`
`byte[]` | `getData()`
`String` | `getHash()`
`long` | `getLength()`
`PropertyType` | `getType()`
`int` | `hashCode()`
`boolean` | `isCompressed()`
`void` | `setCompressed(boolean compressed)`
`void` | `setData(byte[] data)`
`void` | `setHash(String hash)`
`void` | `setLength(long length)`
`void` | `setType(PropertyType type)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LargeValueEntity

    public LargeValueEntity()

Method Detail

### getHash

    public String getHash()

### setHash

    public void setHash(String hash)

### getLength

    public long getLength()

  Returns:
    length

### setLength

    public void setLength(long length)

  Parameters:
    `length` - Sets length to the specified value.

### getType

    public PropertyType getType()

  Returns:
    type

### setType

    public void setType(PropertyType type)

  Parameters:
    `type` - Sets type to the specified value.

### getData

    public byte[] getData()

  Returns:
    data

### setData

    public void setData(byte[] data)

  Parameters:
    `data` - Sets data to the specified value.

### isCompressed

    public boolean isCompressed()

  Returns:
    compressed

### setCompressed

    public void setCompressed(boolean compressed)

  Parameters:
    `compressed` - Sets compressed to the specified value.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### deleteUnused

    public static boolean deleteUnused(javax.persistence.EntityManager manager,
                                       String dialect)

  Delete all unused large value entities.

  Parameters:
    `manager` - the manager; never null
    `dialect` - the dialect
  Returns:
    whether all the unused records were able to be removed in this pass

### create

    public static LargeValueEntity create(byte[] data,
                                          PropertyType type,
                                          boolean compressed)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.